import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (a, e, s, r) => {
  for (var t = r > 1 ? void 0 : r ? g(e, s) : e, i = a.length - 1, o; i >= 0; i--)
    (o = a[i]) && (t = (r ? o(e, s, t) : o(t)) || t);
  return r && t && m(e, s, t), t;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--italy", this.class = "c-pieIcon c-pieIcon--italy", this.name = "IconFlagItaly";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--italy"><path fill="#eee" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14"></path><path fill="#d80027" d="M15 8a7 7 0 0 0-4.566-6.562v13.125A7 7 0 0 0 15 8"></path><path fill="#6da544" d="M1 8a7 7 0 0 0 4.566 6.563V1.438A7 7 0 0 0 1 8"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], l.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = p([
  h("icon-flag-italy")
], l);
export {
  l as IconFlagItaly
};
